init:
    $ bar = Character("Barbara", who_color="d94c3a", who_suffix = ':', ctc=anim.Blink("arrow2.png"),  who_outlines=[(3, "#222222", 0, 0)], what_prefix = '— ',    window_background=None, window_xfill=False)
    $ gir = Character("Girl", who_color="d94c3a", who_suffix = ':', ctc=anim.Blink("arrow2.png"),  who_outlines=[(3, "#222222", 0, 0)], what_prefix = '— ',    window_background=None, window_xfill=False)
    $ ma = Character("Maid", who_color="54a992", who_suffix = ':',ctc=anim.Blink("arrow2.png"),  who_outlines=[(3, "#222222", 0, 0)], what_prefix = '— ',    window_background=None, window_xfill=False)
    $ dr = Character(_("Derek"), who_color="813a26", who_suffix = ':',ctc=anim.Blink("arrow2.png"),  who_outlines=[(3, "#222222", 0, 0)], what_prefix = '— ',    window_background=None, window_xfill=False)


label barbara_door_bell:
    scene bar_door_ring with dissolve
    play sound "sound/dish_drop.mp3"
    pause 2.0
    scene bar_door_close with dissolve
    if dn < 4 or dn > 10:
        ggi "No response... Maybe nobody's at home. I'll try to come again in the afternoon."
    elif not barbara_first_visit:
        jump barbara_first_visit
    elif bar_compromat:
        jump bar_compr
    elif send_barbara_library:
        jump send_barbara_library
    else:
        ggi "No response..."
    jump barbara1
label barbara:
    $ whereiam = "barbara"
    $ metka = "barbara"
    $ renpy.block_rollback()
    $ hide_all()
    $ show_main_screens()
    show screen daycolortime
    if nofade:
        scene bar_door_close with dissolve
        $ nofade = False
    else:
        scene bar_door_close with Fade(0, 0, 3)
    if not barbara_first_visit:
        ggi "I think this is it."
    $ metka = "barbara"
    stop music fadeout 1.0
    label barbara1:
    show screen img_btn("images/Buttons/button_barbara_door_bell.png",(1274,428),"barbara_door_bell")
    call screen img_map("mapmy")

label barbara_first_visit:
    $ hide_all()
    $ show_main_screens()
    $ block_day_button = True
    scene bar_door_close with dissolve
    pause 2.0
    scene bar_door1 with dissolve
    play sound "/sound/klock.mp3"
    pause 2.0
    hide screen dayinfo
    with dissolve
    scene bar_door2 with dissolve
    pause 2.0
    scene bar_door3 with dissolve
    gir "Hi, who are you?"
    scene bar_door2 with dissolve
    call screen btn(_("\"I'm looking for Anna\""))
    gg "Hi, I'm looking for Anna. Is she over here?"
    scene bar_door5 with dissolve
    gir "Yes, but who are you?"
    scene bar_door2 with dissolve
    call screen btn(_("\"I'm [gg], her cousin\""))
    gg "I'm [gg], her cousin."
    scene bar_door6 with dissolve
    gir "Well, come on in, [gg]."
    play sound "/sound/klock.mp3"
    scene bar_door7 with dissolve
    call screen btn(_("\"And you must be Barbara\""))
    gg "And you must be Barbara."
    scene bar_door8 with dissolve
    bar "Yeah, how did you know?"
    call screen btn(_("\"Anna's mom told me\""))
    gg "Anna's mom told me."
    scene bar_door9 with dissolve
    bar "Her mom is like a tyrant! That's why I wasn't surprised at all when she came to live with me."
    scene bar_door10 with dissolve
    ggi "Wow, there is a great swimming pool here!"
    play music "music//bgr/birdenvir.mp3"
    scene bar_door11 with dissolve
    bar "Anna, [gg] came to see you."
    scene bar_pool1 with dissolve
    call screen btn(_("\"Hi, Anna\""))
    scene bar_pool2 with dissolve
    gg "Hi, Anna."
    scene bar_pool3 with dissolve
    lg "Oh, Hi [gg]!"
    scene bar_pool4 with dissolve
    lg "Hey, why are you dressed? Сome on, change out of your clothes and relax with us near the swimming pool."
    scene bar_pool5 with dissolve
    call screen btn(_("\"Thanks, I won't be long\""))
    gg "Thanks, I won't be long, and I also don't have swim shorts."
    scene bar_pool6 with dissolve
    bar "Thats not a problem, I happen to have a pair."
    scene bar_pool7 with dissolve
    call screen btn(_("\"Listen, I want to talk to you\""))
    scene bar_pool7a with dissolve
    gg "Listen, Anna, I want to talk to you about you moving out."
    scene bar_pool8 with dissolve
    lg "No way! I won't talk to you untill you are dressed."
    scene bar_pool9 with dissolve
    $ renpy.pause(2.0)
    scene bar_pool10_2 with dissolve
    bar "Here's the speedo, its brand new.."
    scene bar_pool10_3 with dissolve
    call tp ("Thanks")
    scene bar_pool11 with dissolve
    $ renpy.pause(1.0)
    scene bar_pool12 with dissolve
    bar "I bought them for my brother, but they are too big for him. They should fit you. You can go to the bathroom if you want to get changed."
    play music "music/embrace.mp3"
    scene bar_pool13 with dissolve
    $ renpy.pause(2.0)
    scene bar_pool14 with dissolve
    $ renpy.pause(2.0)
    scene bar_pool15 with dissolve
    $ renpy.pause(2.0)
    scene bar_pool16 with dissolve
    $ renpy.pause(2.0)
    scene bar_pool17 with dissolve
    $ renpy.pause(2.0)
    show bar_pool_big with dissolve:
        yalign 1.0
        pause .5
        linear 6.0 yalign .1
        pause .5
        linear 2.0 yalign .5
        pause 1.0
        linear 2.5 yalign .1
    pause(13.0)
    $ jerktoday = False
    scene bar_pool17 with dissolve
    $ renpy.pause(3.0)
    scene bar_pool18 with dissolve
    $ renpy.pause(3.0)
    scene bar_pool19 with dissolve
    $ renpy.pause(3.0)
    scene bar_pool20 with dissolve
    play sound "sound/splash.mp3"
    $ renpy.pause(3.0)
    scene bar_pool21 with dissolve
    $ renpy.pause(3.0)
    scene bar_pool23 with dissolve
    ggi "Wow, Barbara is so hot."
    call hard_on
    ggi "I'm going to go change into the speedo."
    jump bar_bathroom

label barbara_return_from_bathroom:
    play music "music//bgr/birdenvir.mp3"
    scene bar_pool24 with dissolve
    lg "Wow, pink looks good on you."
    scene bar_pool27 with dissolve
    lg "So, how did you find me?"
    scene bar_pool25 with dissolve
    call screen btn(_("\"Your mother told me\"")) 
    gg "Your mother told me."
    scene bar_pool26 with dissolve
    lg "Oh, I see... I think that she wants me back home."
    scene bar_pool25 with dissolve
    call screen btn(_("\"Exactly\"")) 
    gg "Exactly."
    scene bar_pool28 with dissolve
    lg "You can show her this."
    scene bar_pool25 with dissolve
    call screen btn(_("\"You don't have to be like that!\"")) 
    gg "You don't have to be like that! She cares about you."
    scene bar_pool26 with dissolve
    lg "No, she cares about what other people will say. She doesn't care about me."
    scene bar_pool27 with dissolve
    lg "Don't waste your time, I won't come back home!"
    scene bar_pool29 with dissolve
    play music "music/embrace.mp3"
    $ renpy.pause(3.0)
    scene bar_pool30 with dissolve
    $ renpy.pause(3.0)
    show bar_pool30_big_2 with dissolve:
        yalign 1.0
        pause .5
        linear 7.0 yalign .08
        pause .5
        linear 2.5 yalign 0.35
        pause 1.0
        linear 2.5 yalign .08
    pause 14.0
    scene bar_pool30 with dissolve
    ggi "Holy shit, her swimmsuit got wet and now everything's showing......"
    scene bar_pool31 with dissolve
    bar "So, you came here just to convince Anna that she has to come back home to her mommy-tyrant."
    scene bar_pool32 with dissolve
    bar "If I knew why you came here, I wouldn't have let you in!"
    scene bar_pool30 with dissolve
    ggi "Oh God, I better not look at her, otherwise my dick would show from the shorts. I should concentrate on the conversation."
    call screen btn(_("\"Your parents don't mind Anna living here?\"")) 
    gg "Barbara, your parents don't mind Anna living here?"
    scene bar_pool32a with dissolve
    bar "My mom doesn't, and my dad doesn't live here."
    scene bar_pool33 with dissolve
    call screen btn(_("\"Why would he leave such a beautiful daughter behind?\"")) 
    gg "Why would he leave such a beautiful daughter behind?"
    scene bar_pool35 with dissolve
    bar "Thanks, though he left us when I was a very young."
    scene bar_pool36 with dissolve
    bar "By the way, I've recently visited him."
    call screen btn(_("\"He must've been very happy about that!\"")) 
    gg "He must've been very happy about that!"
    scene bar_pool37 with dissolve
    bar "Oh, yeah! I found out that he is an old pervent!"
    scene bar_pool37a
    bar "All the time that I stayed with him, he only thought of how to get into my pants."
    scene bar_pool37 with dissolve
    bar "Can you imagine?! That asshole wanted to fuck his own daughter!"
    scene bar_pool33 with dissolve
    call screen btn(_("\"I understand why...\"")) 
    gg "I understand why..."
    scene bar_pool38 with dissolve
    bar "Oh, come on! Do you really think that wanting to fuck his own daugher is normal?"
    scene bar_pool33 with dissolve
    call screen btn(_("\"The concepts of norms and morality are invented by people\"")) 
    gg "The concepts of norms and morality are invented by people. In a cannibalist tribe it is unusual to not eat other people."
    scene bar_pool34 with dissolve
    bar "We're living in a civilized world."
    scene bar_pool33 with dissolve
    call screen btn(_("\"I heard...\""))
    gg "I heard that in one tribe before the marriage, the father of the bride got to deflower his dauther."
    gg "This was completely normal. The father was the person who raised his dauther, so he had the right for the first night."
    scene bar_pool40 with dissolve
    lg "I can see you've visited the library often. And you've become a fascinating conversationalist."
    lg "You've raised your intellect very much since our previous meeting, [gg]."
    scene bar_pool37 with dissolve
    bar "Those savages have a lot of different silly and discusting customs. We are different."
    scene bar_pool36 with dissolve
    bar "And I never want to live with my dad ever again."
    scene bar_pool38 with dissolve
    bar "I see now that all men are assholes!"
    scene bar_pool39 with dissolve
    bar "I decided I am only going to date girls."
    scene bar_pool33 with dissolve
    call screen btn(_("\"Wow! You've decided to be a lesbian?\""))
    gg "Wow! You've decided to be a lesbian?"
    scene bar_pool35 with dissolve
    bar "Why not? Girls understand each other much better."
    scene bar_pool39 with dissolve
    bar "And Anna proves this to me every night."
    scene bar_pool33 with dissolve
    play music "music//bgr/birdenvir.mp3"
    ggi "I wonder how she proves this? I should watch this one day... or night."

    ggi "I need a drone that can fly in the dark."
    call addtsk (upg_drone)
    $ dronenight.instore = True
    tip "[newtovar!t]{w=2.0}{nw}"
    scene bar_pool35 with dissolve
    bar "What are you mumbling about?"
    scene bar_pool33 with dissolve
    call screen btn(_("\"You don't have to become a lesbian\"")) 
    gg "You don't have to become a lesbian."
    scene bar_pool37 with dissolve
    bar "Why not? All men are some kind of dirty dog."
    scene bar_pool38 with dissolve
    bar "Every time when a man sees a pussy his brain just stops working, and the only thing that is working is your penis."
    scene bar_pool33 with dissolve
    call screen btn(_("\"Well, not all the men are like that\"")) 
    gg "Well, not all the men are like that."

    scene bar_pool41 with dissolve
    $ renpy.pause(2.0)
    scene bar_pool35 with dissolve
    bar "Are you sure?"
    scene bar_pool42 with dissolve
    bar "Well, let's see."
    scene bar_pool43 with dissolve
    ggi "Holy geez!"
    scene bar_pool45 with dissolve
    $ renpy.pause(2.0)
    scene bar_pool46 with dissolve
    $ jerktoday = False
    ggi "Damn!!!"
    scene bar_pool42a with dissolve
    bar "Ha ha, I've told you!"
    play sound "sound/dish_drop.mp3"
    $ renpy.pause(1.0)
    scene bar_pool44 with dissolve
    play sound "sound/wom_scream.mp3"
    ma "Eeeek! A PERVERT!!! I'm calling the police!"

    ggi "I'd better dress and go..."
    $ barbara_first_visit = True
    stop music
    scene black with dissolve
    jump mapmy

label bar_compr:
    scene bar_door_close with dissolve
    hide screen dayinfo
    with dissolve
    play sound "/sound/klock.mp3"
    if barbara_compromat_fail:
        jump bar_compr2

label bar_compr1:
    scene derek_1 with dissolve
    $ renpy.pause(1.0)
    scene derek_2 with dissolve
    xz "What do you need?"
    scene derek_1 with dissolve
    menu:
        "\"I want to talk to Anna\"":
            gg "I want to talk to Anna."
            scene derek_2 with dissolve
            xz "I don't know anny Annas. There're definitely none here."
            scene derek_1 with dissolve
            call tp (_("She's Barbara's friend"))
            scene derek_3 with dissolve
            xz "Oh, you mean that four-eyed girl? No idea where she is right now, but I'll go get Barbara, she must now something."
        "\"I need Barbara\"":

            gg "I need Barbara."
            scene derek_3 with dissolve
            xz "And who are you? A wannabe boyfriend, huh? Making a move?"
            scene derek_8 with dissolve
            xz "You know what? Stay away from my sister."
            scene derek_7 with dissolve
            call t (_("Or... what?"))
            scene derek_3 with dissolve
            xz "You'll see."
            scene derek_6 with dissolve
            bar "Derek, who's at the door?"
            scene derek_8 with dissolve
            dr "I warned you."

    scene empty_door with dissolve
    pause 2.0
    scene barbara_door2_1 with dissolve
    play music "music/barbara.mp3" fadein 2.0
    pause 2.0
    scene barbara_door2_7 with dissolve
    ggi "Wow!"
    scene barbara_door2_2 with dissolve
    bar "Oh, hi! Came to try to talk Anna into returning home?"
    scene barbara_door2_1 with dissolve
    call screen btn("\"Well, not really\"")
    gg "Well, not really. I'd like to show you some photos."
    scene barbara_door2_3 with dissolve
    gg "Here."
    scene barbara_door2_8 with dissolve
    bar "And what're you planning to do with them?"
    scene barbara_door2_1 with dissolve
    call tp (_("That depends on you"))
    scene barbara_door2_4 with dissolve
    bar "You dirty bastard! Planning to blackmail me?!"
    scene barbara_door2_5 with dissolve
    call screen btn("\"I don't want to blackmail you\"")
    gg "I don't want to blackmail you. I'm just in a... precarious situation. If Anna doesn't return home, I won't be able to go to college."
    scene barbara_door2_6 with dissolve
    bar "Oh, I get it now. Her mom's being a bitch again."
    scene barbara_door2_4 with dissolve
    bar "But, unfortunately, I don't think I can help you. And you can do what you want with the photos."
    scene barbara_door2_6 with dissolve
    bar "Hang them on the wall if you wish. You may even post them in your blog or something."
    scene bar_door_close with dissolve
    play sound "/sound/klock.mp3"
    pause 2.0
    $ barbara_compromat_fail = True
    $ nofade = True

    jump barbara

label bar_compr2:
    scene barbara_door2_5 with dissolve
    pause 2.0
    scene barbara_door2_4 with dissolve
    play music "music/barbara.mp3" fadein 2.0
    bar "What do you need?"
    scene barbara_door2_5 with dissolve
    call tp (_("I'd like to show you some photos"))
    scene barbara_door2_9 with dissolve
    pause 2.0
    scene barbara_door2_10 with dissolve
    bar "You've already shown me that."
    scene barbara_door2_6 with dissolve
    bar "If you came here to ask if you can jerk off to these photos, then I shall allow so. I'm feeling merciful today."
    if not know_dir_barbara_mom:
        play sound "/sound/klock.mp3"
        scene bar_door_close with dissolve
        pause 2.0
        $ nofade = True
        jump barbara

    scene barbara_door2_5 with dissolve
    pause 2.0
    scene barbara_door2_3 with dissolve
    gg "What if I show these photos to {i}this{/i} woman?"
    scene barbara_door2_10 with dissolve
    bar "Why do you have pictures of my mum?"
    scene barbara_door2_5 with dissolve
    call screen bk(_("That doesn't matter"))
    gg "That doesn't matter. So, what should I do?"
    scene barbara_door2_6 with dissolve
    bar "What do you want?"
    scene barbara_door2_5 with dissolve
    call screen bk(_("I want Anna to return home"))
    gg "Well, firstly, I want Anna to return home. And then we can have some fun."
    scene barbara_door2_6 with dissolve
    bar "Alright, I'll talk to Anna. But if you think you'll have any luck with me, think again. I've told you already I prefer guys."
    scene barbara_door2_5 with dissolve
    call screen bk(_("You can make an exception"))
    gg "You can make an exception. You see... I'm suffering from a rare illness and to get rid of it I have to get laid with a specific amount of girls."
    scene barbara_door2_2 with dissolve
    bar "I wouldn't have believed you before, but I and Anna watched a science film in which your illness was mentioned literally yesterday."
    scene barbara_door2_4 with dissolve
    bar "Anyway, I'm no doctor and no volunteer. So, no."
    play sound "/sound/klock.mp3"
    scene bar_door_close with dissolve

    call donetsk (bring_anna_home)
    call addtsk (tell_dean_anna_home)
    $ tell_dean_anna_home = True
    $ libclose = False
    $ nofade = True
    $ bar_compromat = False
    jump barbara

label send_barbara_library:
    scene bar_door_close with dissolve
    hide screen dayinfo
    with dissolve
    play sound "/sound/klock.mp3"
    scene derek_1 with dissolve
    pause 1.0
    scene derek_5 with dissolve
    dr "You again! What do you want?"
    scene derek_7 with dissolve
    call tp (_("Call your sister"))
    if not find_blackmail_derek.get:
        scene derek_5 with dissolve
        dr "I'm not your errand boy! You need her, you call her!"
        scene derek_7 with dissolve
        call tp (_("Alright"))
        scene derek_8 with dissolve
        dr "Where are you? I'm not letting you inside! Just leave already, you've got nothing to do here anyway."
    if not derek_compromat:
        scene bar_door_close with dissolve
        play sound "/sound/klock.mp3"
        pause 2.0
        $ nofade = True
        ggi "Freaking brat. I have to come up with a way to make him obey me... I need some blackmail material."
        call addtsk (find_blackmail_derek)
        jump barbara
    scene derek_5 with dissolve
    dr "Fuck you!"
    scene derek_7 with dissolve
    call screen bk("You'll change your ton...")
    gg "You'll change your tone when you see what great photos I have."
    scene derek_7a with dissolve
    play sound "sound/ahhh.mp3"
    dr "What? Uhm, why do you have this?"
    scene derek_1 with dissolve
    call screen bk(_("That's not important"))
    gg "That's not important. You'll be a good boy if you don't want your mother to see these."
    scene derek_3 with dissolve
    dr "Okay, okay, I'll go fetch my sister, just delete them."
    scene empty_door with dissolve
    ggi "Well, that depends on your future behavior."
    scene barbara_door2_2 with dissolve
    bar "Hi, what do you need? Blackmailing me again?"
    scene barbara_door2_1 with dissolve
    call screen bk(_("No, I wanted to tell you..."))
    gg "No, I wanted to tell you that Anna asked you to meet her in the library."
    scene barbara_door2_8 with dissolve
    bar "Couldn't she just call me? "
    scene barbara_door2_2 with dissolve
    bar "Oh right, I changed my number. Well, thanks for telling me, I'll come."
    scene bar_door_close with dissolve
    play sound "/sound/klock.mp3"
    pause 2.0
    $ nofade = True
    call donetsk (send_barbara_library)
    $ send_barbara_library = False
    $ barbara_go_library = True
    jump barbara
# Decompiled by unrpyc: https://github.com/CensoredUsername/unrpyc
